curl --request POST \
--url https://sandbox.tight.com/v6/taxes/taxEstimates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"period": "YTD",
"taxSetup": {
"countryCode": "USA",
"state": "DC",
"filingStatus": {
"federal": "SINGLE",
"state": "SINGLE"
},
"annualW2Income": 1000000,
"withholding": {
"useWithholding": true,
"federalWithholding": 100051,
"stateWithholding": 100051
},
"numExemptions": 1,
"tipIncome": 500000,
"overtimeIncome": 300000,
"homeOffice": {
"useHomeOfficeDeduction": true,
"homeOfficeArea": 250.5
},
"mileage": {
"useEstimate": true,
"estimate": 1000,
"useMileageDeduction": false,
"vehicleBusinessPercent": "49.9"
},
"expenses": {
"useEstimate": true,
"estimate": 55176
},
"income": {
"useEstimate": true,
"estimate": 55176
},
"isSetupComplete": true
}
}
'{
"result": "SUCCESS",
"data": {
"country": "USA",
"state": "DC",
"year": 2025,
"federalFilingStatus": "S",
"stateFilingStatus": "S",
"w2Income": 123,
"businessIncome": 123,
"expenses": 123,
"deductibleExpenses": 123,
"deductibleMileageExpenses": 123,
"deductibleNonMileageExpenses": 123,
"homeOfficeDeduction": 123,
"selfEmploymentDeduction": 123,
"adjustedGrossIncome": 123,
"overallTax": 123,
"overallTaxSavings": 123,
"overallTaxUnpaid": 123,
"federalTaxUnpaid": 123,
"stateTaxUnpaid": 123,
"annualPaymentDueDate": "2023-12-25",
"afterTaxIncome": 123,
"otherIncome": 123,
"federalTax": {
"w2MarginalTaxRate": "11.67",
"businessMarginalTaxRate": "11.67",
"adjustedGrossIncome": 123,
"businessIncomeDeduction": 123,
"businessIncomeDeductionEffectiveRate": "11.67",
"federalDeduction": 123,
"qualifiedTipDeduction": 123,
"qualifiedOvertimeDeduction": 123,
"taxableIncome": 123,
"federalEffectiveTaxRate": "11.67",
"federalTaxAmount": 123,
"medicareSurtax": {
"investmentIncomeMedicareSurtax": 123,
"earnedIncomeMedicareSurtax": 123
},
"selfEmploymentTax": {
"socialSecurityTaxableIncome": 123,
"socialSecurityEffectiveTaxRate": "11.67",
"socialSecurityTax": 123,
"medicareTaxableIncome": 123,
"medicareEffectiveTaxRate": "11.67",
"medicareTax": 123,
"taxAmount": 123
},
"alternativeMinimumTax": 123,
"taxAmountWithoutTaxCredit": 123,
"dependentTaxCredit": 123,
"totalTaxCredit": 123,
"totalTaxCreditAppliedToTax": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": "11.67",
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": "11.67",
"employmentTax": {
"socialSecurityTaxableIncome": 123,
"socialSecurityEffectiveTaxRate": "11.67",
"socialSecurityTax": 123,
"medicareTaxableIncome": 123,
"medicareEffectiveTaxRate": "11.67",
"medicareTax": 123,
"taxAmount": 123
}
},
"stateTax": {
"w2MarginalTaxRate": "11.67",
"businessMarginalTaxRate": "11.67",
"adjustedGrossIncome": 123,
"stateDeduction": 123,
"taxableIncome": 123,
"preCreditEffectiveTaxRate": "11.67",
"taxAmountWithoutTaxCredit": 123,
"totalTaxCredit": 123,
"totalTaxCreditAppliedToTax": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": "11.67",
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": "11.67"
},
"quarterlyEstimates": {
"q1": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q2": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q3": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q4": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
}
}
}
}Get a summary of a user’s tax obligations; also useful for displaying a real-time P&L
curl --request POST \
--url https://sandbox.tight.com/v6/taxes/taxEstimates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"period": "YTD",
"taxSetup": {
"countryCode": "USA",
"state": "DC",
"filingStatus": {
"federal": "SINGLE",
"state": "SINGLE"
},
"annualW2Income": 1000000,
"withholding": {
"useWithholding": true,
"federalWithholding": 100051,
"stateWithholding": 100051
},
"numExemptions": 1,
"tipIncome": 500000,
"overtimeIncome": 300000,
"homeOffice": {
"useHomeOfficeDeduction": true,
"homeOfficeArea": 250.5
},
"mileage": {
"useEstimate": true,
"estimate": 1000,
"useMileageDeduction": false,
"vehicleBusinessPercent": "49.9"
},
"expenses": {
"useEstimate": true,
"estimate": 55176
},
"income": {
"useEstimate": true,
"estimate": 55176
},
"isSetupComplete": true
}
}
'{
"result": "SUCCESS",
"data": {
"country": "USA",
"state": "DC",
"year": 2025,
"federalFilingStatus": "S",
"stateFilingStatus": "S",
"w2Income": 123,
"businessIncome": 123,
"expenses": 123,
"deductibleExpenses": 123,
"deductibleMileageExpenses": 123,
"deductibleNonMileageExpenses": 123,
"homeOfficeDeduction": 123,
"selfEmploymentDeduction": 123,
"adjustedGrossIncome": 123,
"overallTax": 123,
"overallTaxSavings": 123,
"overallTaxUnpaid": 123,
"federalTaxUnpaid": 123,
"stateTaxUnpaid": 123,
"annualPaymentDueDate": "2023-12-25",
"afterTaxIncome": 123,
"otherIncome": 123,
"federalTax": {
"w2MarginalTaxRate": "11.67",
"businessMarginalTaxRate": "11.67",
"adjustedGrossIncome": 123,
"businessIncomeDeduction": 123,
"businessIncomeDeductionEffectiveRate": "11.67",
"federalDeduction": 123,
"qualifiedTipDeduction": 123,
"qualifiedOvertimeDeduction": 123,
"taxableIncome": 123,
"federalEffectiveTaxRate": "11.67",
"federalTaxAmount": 123,
"medicareSurtax": {
"investmentIncomeMedicareSurtax": 123,
"earnedIncomeMedicareSurtax": 123
},
"selfEmploymentTax": {
"socialSecurityTaxableIncome": 123,
"socialSecurityEffectiveTaxRate": "11.67",
"socialSecurityTax": 123,
"medicareTaxableIncome": 123,
"medicareEffectiveTaxRate": "11.67",
"medicareTax": 123,
"taxAmount": 123
},
"alternativeMinimumTax": 123,
"taxAmountWithoutTaxCredit": 123,
"dependentTaxCredit": 123,
"totalTaxCredit": 123,
"totalTaxCreditAppliedToTax": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": "11.67",
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": "11.67",
"employmentTax": {
"socialSecurityTaxableIncome": 123,
"socialSecurityEffectiveTaxRate": "11.67",
"socialSecurityTax": 123,
"medicareTaxableIncome": 123,
"medicareEffectiveTaxRate": "11.67",
"medicareTax": 123,
"taxAmount": 123
}
},
"stateTax": {
"w2MarginalTaxRate": "11.67",
"businessMarginalTaxRate": "11.67",
"adjustedGrossIncome": 123,
"stateDeduction": 123,
"taxableIncome": 123,
"preCreditEffectiveTaxRate": "11.67",
"taxAmountWithoutTaxCredit": 123,
"totalTaxCredit": 123,
"totalTaxCreditAppliedToTax": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": "11.67",
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": "11.67"
},
"quarterlyEstimates": {
"q1": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q2": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q3": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q4": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
}
}
}
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.